(use-modules (guix git-download)
             (guix packages)
             (gnu packages base)
             (gnu packages compression)
             (gnu packages guile)
             (gnu packages guile-xyz))

(define guile-hoot*
  (let ((commit "61c072433020d7669c7edaf18803d790bf984a03"))
    (package
     (inherit guile-hoot)
     (version (string-append (package-version guile-hoot)
                             "-1." (string-take commit 7)))
     (source (origin
              (method git-fetch)
              (uri (git-reference
                    (url "https://gitlab.com/spritely/guile-hoot.git")
                    (commit commit)))
              (sha256
               (base32
                "0isx20rk92xlhcc5spbbxzs2dgmqcsjzsm82iri195894ir59f4f"))))
     (arguments
      '(#:tests? #f)))))

(packages->manifest (list guile-next guile-hoot* gnu-make zip))
